View Issue Details

IDProjectCategoryView StatusLast Update
0037592FPCPackagespublic2020-09-03 09:56
ReporterCudaText man_ Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.1 
Fixed in Version3.3.1 
Summary0037592: Jsonconf: improve error string
DescriptionAttached the real error msgbox in lazarus. Here
1) Missed space before "Expected"
2) Message is a mess because command and square bracket are not quoted.
  SExpectedCommaorBraceClose = 'Expected , or ], got token "%s".';
->
  SExpectedCommaorBraceClose = 'Expected comma "," or bracket "]", got token "%s".';

TagsNo tags attached.
Fixed in Revision46753
FPCOldBugId
FPCTarget3.2.2
Attached Files

Activities

CudaText man_

2020-08-18 14:51

reporter  

Michael Van Canneyt

2020-09-02 23:38

administrator   ~0125318

Fixed, thanks for reporting.

Issue History

Date Modified Username Field Change
2020-08-18 14:51 CudaText man_ New Issue
2020-08-18 14:51 CudaText man_ File Added: Screenshot from 2020-08-18 15-46-37.png
2020-08-20 14:13 Michael Van Canneyt Assigned To => Michael Van Canneyt
2020-08-20 14:13 Michael Van Canneyt Status new => assigned
2020-09-02 23:38 Michael Van Canneyt Status assigned => resolved
2020-09-02 23:38 Michael Van Canneyt Resolution open => fixed
2020-09-02 23:38 Michael Van Canneyt Fixed in Version => 3.3.1
2020-09-02 23:38 Michael Van Canneyt Fixed in Revision => 46753
2020-09-02 23:38 Michael Van Canneyt FPCTarget => 3.2.2
2020-09-02 23:38 Michael Van Canneyt Note Added: 0125318
2020-09-03 09:56 CudaText man_ Status resolved => closed